Welcome to the I.S.A.A.C.S. program dowload page

Before using I.S.A.A.C.S. it has to be installed. In addition, running I.S.A.A.C.S. requires to install some open source third party libraries.
Since I.S.A.A.C.S. may not be run without them, they are called dependencies (the program depends on them).
Some of the installation packages contain only I.S.A.A.C.S., those may be used in case the working environment (libraries) are already on the computer and a newer version of I.S.A.A.C.S. is to be installed.
Note, it may be necessary to uninstall the previous version of I.S.A.A.C.S. before installing a newer one.
Several installation packages are provided each featuring a particular Operating System (Linux, Windows and MacOSX).
First time Windows Users: Download the installation package with dependencies, run it and start enjoying using I.S.A.A.C.S.
First time Linux Users: Follow the process described on the Linux dependencies page below.
First time MacOSX: Follow the process described on the MacOSX dependencies page below.


Minimum system requirements


  • Operating systems:

  • Linux
  • Windows (XP, Vista)
  • Mac (OS X)
    • Dependencies (Linux):

  • GTK+ runtime environment (to run I.S.A.A.C.S.)
  • GTK+ development environment (to build I.S.A.A.C.S.)
  • Cairo library (to run I.S.A.A.C.S.)
  • Cairo development files (to build I.S.A.A.C.S.)
  • libxml2 library (to run I.S.A.A.C.S.)
  • libxml2 development files (to build I.S.A.A.C.S.)
  • GNU compilers (to build I.S.A.A.C.S.) including the gfortran library (to build and run I.S.A.A.C.S.)
    • Dependencies (Mac):

  • The GTK+ development environment that includes the libxml2 librairy (to build I.S.A.A.C.S.)
  • The I.D.E. (Integrated Development Environment) Code::Blocks (to build I.S.A.A.C.S.)
  • GNU compilers (to build I.S.A.A.C.S.) including the gfortran library (to build and run I.S.A.A.C.S.)
    • Dependencies (Win32 / Win64):

  • GTK+ runtime environment (to run I.S.A.A.C.S.)
  • GTK+ development environment (to build I.S.A.A.C.S.)
  • libxml2 library binaries (to run and build I.S.A.A.C.S.)
  • The I.D.E. (Integrated Development Environment) Code::Blocks (to build I.S.A.A.C.S.)
  • GNU compilers (to build I.S.A.A.C.S.)


  • Binary files


    LinuxFedora
    GPG key of the I.S.A.A.C.S. RPMs packages: RPM-GPG-KEY-ISAACS
    The RPMs are GnuPG signed, to verify the signature one of these packages before the installation:
    1) Login as root:
    user@localhost ]$ su -
    password : *****
    2) Import the I.S.A.A.C.S. GPG key:
    root@localhost ~] rpm --import http://sourceforge.net/projects/isaacs/files/Linux/RPM-GPG-KEY-ISAACS
    3) Download the RPM:
    root@localhost ~] wget http://sourceforge.net/projects/isaacs/files/Linux/v2.8/Fedora16/isaacs-2.8-1.fc1*.***.rpm
    4) Verify the signature of the RPM:
    root@localhost ~] rpm --checksig isaacs-2.8-1.fc1*.***.rpm
    isaacs-2.8-1.fc1*.***.rpm: (sha1) dsa sha1 md5 gpg OK
    5) Then you can safely install the RPM:
    root@localhost ~] rpm -ivh isaacs-2.8-1.fc1*.***.rpm
    Optimized Fedora RPMs
    64 bits (All) isaacs-2.8-1.fc20.x86_64.rpm
    Intel Core i7 - 64 bits isaacs-2.8-1.fc20.x86_64-core2.rpm
    32 bits (All) isaacs-2.8-1.fc20.i386.rpm
    Intel Core i7 - 32 bits isaacs-2.8-1.fc20.i686-i7.rpm


    • Mac

    MacOS
    Mac OSX "Intel" 10.5 "Leopard" package + all dependencies ISAACS v2.8 "MacOSX 10.5 Intel" package + all dependencies
    Mac OSX "Intel" 10.6 "Snow Leopard" package + all dependencies ISAACS v2.8 "MacOSX 10.6 Intel" package + all dependencies


    • Windows

    Windows
    • Windows 32 bits

    Setup package (I.S.A.A.C.S. only) ISAACS v2.8 "only" setup package
    Setup package (I.S.A.A.C.S. and all the dependencies) ISAACS v2.8 setup package + all dependencies
    • Windows 64 bits

    Setup package (I.S.A.A.C.S. only) ISAACS v2.8 "only" setup package
    Setup package (I.S.A.A.C.S. and all the dependencies) ISAACS v2.8 setup package + all dependencies



    Sources


    • All platforms

    GNU bzip2 tarball isaacs-2.8.tar.bz2
    GNU gzip tarball isaacs-2.8.tar.gz


    • Linux

    LinuxFedora
    Optimized Fedora - SRPM isaacs-2.8-1.fc20.src.rpm
    Linux Code::Blocks isaacs-2.8-linux-codeblocks.tar.gz
    isaacs-2.8-linux-codeblocks.tar.bz2


    • Mac

    MacOS
    MacOS Code::Blocks isaacs-2.8-macos-codeblocks.tar.bz2
    isaacs-2.8-macos-codeblocks.tar.gz


    • Windows

    Windows
    Windows Code::Blocks
    Windows 32 bits isaacs-2.8-win32-codeblocks.tar.bz2
    isaacs-2.8-win32-codeblocks.tar.gz
    Windows 64 bits isaacs-2.8-win64-codeblocks.tar.bz2



    Dependencies


    • Linux

    Linux
    Most Linux distributions come natively with the GTK+ libraries.
    You may however need to install the GTK+ development libraries to build I.S.A.A.C.S.


    The runtime packages can easily be installed using your favorite software installer (yum, apt-get, synaptic ...).
    To install the runtime packages for Fedora Linux you can enter the following command in a terminal:
         ]$ yum install gtk2 cairo libgfortran libxml2


    The development packages can easily be installed using your favorite software installer (yum, apt-get, synaptic ...).
    To install the development packages for Fedora Linux you can enter the following command in a terminal:
         ]$ yum install gtk2-devel cairo-devel gcc gcc-gfortran libxml2-devel

    On Linux it is not mandatory to use the IDE Code::Blocks to build the I.S.A.A.C.S. program, a standard GNU installation package is available. In this package a configure script will help to build and install the program.
    Furthermore all compilers and libraries necessary to build I.S.A.A.C.S. can be installed using the standard installer of your distribution (yum, apt-get, synaptic ...).


    • Mac

    MacOS
    Notes:
    The installation packages provided for MacOSX includes I.S.A.A.C.S. as well as all its dependencies
    On MacOSX you can use the software installer Fink and its graphical user interface Finkcommander to install a part of the dependencies.


    • Windows

    Windows
    Notes:
    One of the installation packages provided for MS windows includes the I.S.A.A.C.S. program as well as all its dependencies
    On Windows you need to dowload and install the GTK+ environments:



    Previous versions


    Previous versions of I.S.A.A.C.S. are available in the sourceforge repository



    Valid XHTML 1.0 Transitional

    CSS Valide !
    Get I.S.A.A.C.S. at SourceForge.net. Fast, secure and Free Open Source software downloads

    Go back on top